Bug 91771 - create SourceBuffer and SourceBufferList objects
Summary: create SourceBuffer and SourceBufferList objects
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Anna Cavender
URL:
Keywords:
Depends on:
Blocks: 90819
  Show dependency treegraph
 
Reported: 2012-07-19 12:38 PDT by Anna Cavender
Modified: 2012-07-24 13:45 PDT (History)
9 users (show)

See Also:


Attachments
Patch (34.23 KB, patch)
2012-07-19 13:22 PDT, Anna Cavender
no flags Details | Formatted Diff | Diff
fix windows build files (44.59 KB, patch)
2012-07-20 12:28 PDT, Anna Cavender
no flags Details | Formatted Diff | Diff
no diff, hoping win bot will run this time (44.59 KB, patch)
2012-07-23 16:49 PDT, Anna Cavender
no flags Details | Formatted Diff | Diff
Patch for landing (44.58 KB, patch)
2012-07-24 10:28 PDT, Anna Cavender
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anna Cavender 2012-07-19 12:38:59 PDT
SourceBuffer and SourceBufferList objects are needed in order to implement the new object-oriented MediaSource API:
http://dvcs.w3.org/hg/html-media/raw-file/tip/media-source/media-source.html#sourcebuffer
http://dvcs.w3.org/hg/html-media/raw-file/tip/media-source/media-source.html#sourcebufferlist
Comment 1 Anna Cavender 2012-07-19 13:22:34 PDT
Created attachment 153333 [details]
Patch
Comment 2 Build Bot 2012-07-19 13:50:29 PDT
Comment on attachment 153333 [details]
Patch

Attachment 153333 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/13301083
Comment 3 Anna Cavender 2012-07-20 12:28:35 PDT
Created attachment 153564 [details]
fix windows build files
Comment 4 Anna Cavender 2012-07-23 16:49:03 PDT
Created attachment 153898 [details]
no diff, hoping win bot will run this time
Comment 5 Eric Carlson 2012-07-24 10:08:29 PDT
Comment on attachment 153898 [details]
no diff, hoping win bot will run this time

View in context: https://bugs.webkit.org/attachment.cgi?id=153898&action=review

> Source/WebCore/Modules/mediasource/SourceBuffer.cpp:59
> +    UNUSED_PARAM(data);
> +    // FIXME(91773): append the data to the media source.

Nit: UNUSED_PARAM() isn't necessary if you don't name the parameter.
Comment 6 Anna Cavender 2012-07-24 10:27:27 PDT
Comment on attachment 153898 [details]
no diff, hoping win bot will run this time

Thanks, Eric!

View in context: https://bugs.webkit.org/attachment.cgi?id=153898&action=review

>> Source/WebCore/Modules/mediasource/SourceBuffer.cpp:59
>> +    // FIXME(91773): append the data to the media source.
> 
> Nit: UNUSED_PARAM() isn't necessary if you don't name the parameter.

Gone.
Comment 7 Anna Cavender 2012-07-24 10:28:10 PDT
Created attachment 154098 [details]
Patch for landing
Comment 8 WebKit Review Bot 2012-07-24 13:45:04 PDT
Comment on attachment 154098 [details]
Patch for landing

Clearing flags on attachment: 154098

Committed r123522: <http://trac.webkit.org/changeset/123522>
Comment 9 WebKit Review Bot 2012-07-24 13:45:11 PDT
All reviewed patches have been landed.  Closing bug.